%define major 0
%define libname %mklibname samplerate %{major}
%define develname %mklibname samplerate -d

Summary:	Audio Sample Rate Converter library
Name:		libsamplerate
Version:	0.1.8
Release:	%mkrel 2
License:	GPLv2+
Group:		Sound/Editors and Converters
URL:		http://www.mega-nerd.com/SRC/index.html
Source0:	http://www.mega-nerd.com/SRC/%{name}-%{version}.tar.gz
BuildRequires:	libsndfile-devel
BuildRequires:	fftw-devel >= 3

%description
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. One example of where such a thing would be useful is
converting audio from the CD sample rate of 44.1kHz to the 48kHz
sample rate used by DAT players.

SRC is capable of arbitrary and time varying conversions ; from
downsampling by a factor of 12 to upsampling by the same
factor. Arbitrary in this case means that the ratio of input and
output sample rates can be an irrational number. The conversion ratio
can also vary with time for speeding up and slowing down effects.

SRC provides a small set of converters to allow quality to be traded
off against computation cost. The current best converter provides a
signal-to-noise ratio of 97dB with -3dB passband extending from DC to
96% of the theoretical best bandwidth for a given pair of input and
output sample rates.

%package -n %{libname}
Summary:	Audio Sample Rate Converter shared library
Group:		System/Libraries

%description -n	%{libname}
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. One example of where such a thing would be useful is
converting audio from the CD sample rate of 44.1kHz to the 48kHz
sample rate used by DAT players.

SRC is capable of arbitrary and time varying conversions ; from
downsampling by a factor of 12 to upsampling by the same
factor. Arbitrary in this case means that the ratio of input and
output sample rates can be an irrational number. The conversion ratio
can also vary with time for speeding up and slowing down effects.

SRC provides a small set of converters to allow quality to be traded
off against computation cost. The current best converter provides a
signal-to-noise ratio of 97dB with -3dB passband extending from DC to
96% of the theoretical best bandwidth for a given pair of input and
output sample rates.

This package contains the shared library required for running programs
using %{name}.

%package -n %{develname}
Summary:	Audio Sample Rate Converter development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{libname}-devel < 0.1.4
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. One example of where such a thing would be useful is
converting audio from the CD sample rate of 44.1kHz to the 48kHz
sample rate used by DAT players.

SRC is capable of arbitrary and time varying conversions ; from
downsampling by a factor of 12 to upsampling by the same
factor. Arbitrary in this case means that the ratio of input and
output sample rates can be an irrational number. The conversion ratio
can also vary with time for speeding up and slowing down effects.

SRC provides a small set of converters to allow quality to be traded
off against computation cost. The current best converter provides a
signal-to-noise ratio of 97dB with -3dB passband extending from DC to
96% of the theoretical best bandwidth for a given pair of input and
output sample rates.

This package contains the C headers and other files needed to compile
programs with %{name}.

%package progs
Summary:	Audio Sample Rate Converter
Group:		Sound/Editors and Converters

%description progs
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. One example of where such a thing would be useful is
converting audio from the CD sample rate of 44.1kHz to the 48kHz
sample rate used by DAT players.

SRC is capable of arbitrary and time varying conversions ; from
downsampling by a factor of 12 to upsampling by the same
factor. Arbitrary in this case means that the ratio of input and
output sample rates can be an irrational number. The conversion ratio
can also vary with time for speeding up and slowing down effects.

SRC provides a small set of converters to allow quality to be traded
off against computation cost. The current best converter provides a
signal-to-noise ratio of 97dB with -3dB passband extending from DC to
96% of the theoretical best bandwidth for a given pair of input and
output sample rates.

This package contains a command line utility based on %{name}.

%prep
%setup -qn %{name}-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc doc/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/samplerate.pc
%{_includedir}/samplerate.h
%{_datadir}/doc/libsamplerate0-dev

%files progs
%doc AUTHORS ChangeLog
%{_bindir}/sndfile-resample


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.1.8-2.mga3
+ Revision: 358126
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 0.1.8-1.mga3
+ Revision: 323449
- clean spec
- fix rpm group

* Sun Oct 02 2011 fwang <fwang> 0.1.8-1.mga2
+ Revision: 150851
- update file list
- new version 0.1.8

* Thu Jan 13 2011 dmorgan <dmorgan> 0.1.7-4.mga2
+ Revision: 15588
- Remove mdv macros
- imported package libsamplerate

